Create a project

View as MarkdownOpen in Claude

Creates a new project within the workspace. When this project is created, it adds the user as a Project Editor. Set type to PUBLIC to create a public project.

Authentication

AuthorizationToken

Header authentication of the form Token <token>

Path parameters

workspace_idstringRequired
Workspace id

Request

This endpoint expects an object.
titlestringRequired
Name of project
descriptionstringOptional
What is this project used for
typeenumOptional

Project visibility type. Set to PUBLIC to enable participant-facing public project metadata.

Allowed values:
public_detailsobject or nullOptional

Public metadata exposed for PUBLIC projects. Omit for PRIVATE projects. When creating a public project, status defaults to ENABLED.

naivety_distribution_ratedouble or nullOptional0-1Deprecated

Control the balance between speed of your studies and the naivety of the participants.

If not defined, by default Prolific calculates the best rate for most studies taking into account the filters and the total_available_places needed for this study.

Use 0 if your priority is speed. When this property is set to 0 all eligible participants will have access to your study at the same time, without any prioritization.

You can also set this at a workspace and study level.

Response

Successfully created project.
idstring
Project id. It is created by Prolific.
titlestring
Name of project
typeenum
Project visibility type.
Allowed values:
descriptionstring
What is this project used for
ownerstring
User id of the creator of the project. It is created by Prolific.
public_detailsobject or null

Public metadata for PUBLIC projects. null for PRIVATE projects.

userslist of objects
Data for all users who have access to this project
workspacestring
Id of the workspace this project is in. This is created by Prolific.
naivety_distribution_ratedouble or null0-1Deprecated
The rate at which the studies within this project are distributed.

Errors

4XX
Client Request Error